ios7 error al enviar una actualización. este package no es compatible con uno o más dispositivos

context de la aplicación: ios7, xcode 5, escrito con appcelerator de titanio (sdk 3.1.3GA), la compatibilidad de la versión anterior era como dice la image (directamente desde itunes connect)

introduzca la descripción de la imagen aquí

el error completo es

this bundle does not support one or more devices. supported by the revious app version. your app update must continue to support all devices previously supported. your declare supported device in Xcode with the Targeted Device Family build setting. Refer to QA1623 for additional information: https://developer.apple.com/library/ios/qa/qa1623/_index.html

Ahora. Revisé la configuration del edificio como dice el post y los resultados se adjuntan como imágenes.

proyectoobjetivo iphoneobjetivo de ipadobjetivo universal como puedes ver, debería cubrir todos los dispositivos de Apple (iphone / ipad), pero aún así me da el mismo error. ¿alguien sabe por qué?

gracias por adelantado

Tu aplicación también fue compatible con iPad. No puede eliminar el soporte para una familia de dispositivos (iPhone o iPad) en una actualización. Haga que su aplicación sea universal en la configuration del proyecto> pestaña General.

introduzca la descripción de la imagen aquí

La solución para mi problema era simplemente rebuild el file desde el titanio (publicar la aplicación en la tienda de Apple) y luego archivar la aplicación.

He seleccionado el dispositivo universal para objective universal.

no se encontraron problemas

por lo que parece que en realidad no hay ningún problema en el process, pero aún no sé por qué hubo ese problema de compatibilidad de dispositivos.